/* FINAL DRAGON INITIALIZER 4/25/05
JESSE HARRIS
DISPLAYS SPLASH SCREEN AND PERFORMS NECESSARY SYSTEM INITIALIZATIONS
*/
#include <mygba.h>
#include <hel.h>
#include "gfx/splash.raw.c"
#include "gfx/splash.pal.c"

void myInit()
{



    hel_PadInit();
    ham_InitRAM(RAM_TYPE_SRAM_256K);
    ham_SetBgMode(4);
    // Show the Wakaranai splashscreen.
    hel_Splash((void*)splash_Bitmap,         // pBitmap
               (void*)splash_Palette,        // pPalette
               SPLASH_TYPE_BLACK,               // SplashTypeIn
               SPLASH_TYPE_BLACK,               // SplashTypeOut
               8,                               // FadeInSpeed
               8,                               // FadeOutSpeed
               60,                              // WaitFrames
               10);                              // AfterWaitFrames
return;
}


/* END OF FILE */
